var tmpl=`
<div ref="multipleTable">
<gsb-grid
  ref="accountGrid"
  :bizCode="bizCode"
  spaceHeight="300"
  :modelName="modelName"
  listMethod="findAndCountAll"
  deleteMethod="delete"
  initMethod="initNewInstance"
  isDataAuto="true"
 :isSingleSelect="isSingleSelect"
 :colFormatter="colFormatter"
 @multiSelect="multiSelect"
 @toolbarclick="toolbarclick"
 >
</gsb-grid>
</div>
`
module.exports=
`{
   template:'${tmpl}',
   props:["bizCode","modelName","isSingleSelect","colFormatter"],
   data:function(){
     return {

     };
   },
   created:function(){

   },
   mounted:function(){

   },
   computed:{

   },
   methods:{
     onColFormater(row,column,cellvalue,index){
       console.log("wwwwwwwwwwwwwwwwwwwwwwwww");
       console.log(val);
       this.$emit("referenceColFormater",row,column,cellvalue,index);
     },
     multiSelect(val){
        this.$emit("multiSelect",val);
     },
     toolbarclick(key,b){

       this.$emit("toolbarclick",key,b);
     }
   },
   vname:"gsb-dlgreference"
}`
